#ifndef __SENTECH_DEFINES
#define __SENTECH_DEFINES
#ifndef V4L2_PIX_FMT_SBGGR8
#define V4L2_PIX_FMT_SBGGR8  v4l2_fourcc('B','A','8','1') 
#endif
#ifndef V4L2_PIX_FMT_SGRBG8
#define V4L2_PIX_FMT_SGRBG8  v4l2_fourcc('G', 'R', 'B', 'G') 
#endif
#ifndef V4L2_PIX_FMT_SRGGB8
#define V4L2_PIX_FMT_SRGGB8  v4l2_fourcc('R','G','G','B') 
#endif
#ifndef V4L2_PIX_FMT_SRGGB10
#define V4L2_PIX_FMT_SRGGB10 v4l2_fourcc('R', 'G', '1', '0') 
#endif
#ifndef V4L2_PIX_FMT_SRGGB12
#define V4L2_PIX_FMT_SRGGB12 v4l2_fourcc('R', 'G', '1', '2') 
#endif
#ifndef V4L2_PIX_FMT_SRGGB16
#define V4L2_PIX_FMT_SRGGB16 v4l2_fourcc('R', 'G', 'G', '2') 
#endif
#ifndef V4L2_PIX_FMT_SGRBG10
#define V4L2_PIX_FMT_SGEBG10 v4l2_fourcc('G', 'R', '1', '0') 
#endif
#ifndef V4L2_PIX_FMT_SGRBG12
#define V4L2_PIX_FMT_SGRBG12 v4l2_fourcc('G', 'R', '1', '2') 
#endif
#ifndef V4L2_PIX_FMT_BGR48
#define V4L2_PIX_FMT_BGR48 v4l2_fourcc('B', 'G', 'R', '6') 
#endif
#ifndef V4L2_PIX_FMT_RGB48
#define V4L2_PIX_FMT_RGB48 v4l2_fourcc('R', 'G', 'B', '6') 
#endif
#ifndef V4L2_PIX_FMT_Y16
#define V4L2_PIX_FMT_Y16     v4l2_fourcc('Y','1','6',' ') 
#endif
#define V4L2_CID_STC_FPS V4L2_CID_PRIVATE_BASE+0
#define V4L2_CID_STC_HEIGHT V4L2_CID_PRIVATE_BASE+1
#define V4L2_CID_STC_RED V4L2_CID_PRIVATE_BASE+2
#define V4L2_CID_STC_GREEN V4L2_CID_PRIVATE_BASE+3
#define V4L2_CID_STC_BLUE V4L2_CID_PRIVATE_BASE+4
#define V4L2_CID_STC_GAMMA V4L2_CID_PRIVATE_BASE+5
#define V4L2_CID_STC_TARGET V4L2_CID_PRIVATE_BASE+6
#define V4L2_CID_STC_TRIGGER_MODE V4L2_CID_PRIVATE_BASE+7
#define V4L2_CID_STC_TRIGGER_SOURCE V4L2_CID_PRIVATE_BASE+8
#define V4L2_CID_STC_HEADER V4L2_CID_PRIVATE_BASE+9
#define V4L2_CID_STC_DIGITAL_GAIN V4L2_CID_PRIVATE_BASE+10
#define V4L2_CID_STC_TRIGGER V4L2_CID_PRIVATE_BASE+11
#define V4L2_CID_STC_IO0_FUNCTION V4L2_CID_PRIVATE_BASE+12
#define V4L2_CID_STC_IO1_FUNCTION V4L2_CID_PRIVATE_BASE+13
#define V4L2_CID_STC_IO2_FUNCTION V4L2_CID_PRIVATE_BASE+14
#define V4L2_CID_STC_IO3_FUNCTION V4L2_CID_PRIVATE_BASE+15
#define V4L2_CID_STC_LED V4L2_CID_PRIVATE_BASE+16
#define V4L2_CID_STC_RO_SEL V4L2_CID_PRIVATE_BASE+17
#define V4L2_CID_STC_W_TRG_OUT V4L2_CID_PRIVATE_BASE+18
#define V4L2_CID_STC_D_RO V4L2_CID_PRIVATE_BASE+19
#define V4L2_CID_STC_REFRESH V4L2_CID_PRIVATE_BASE+20
#define V4L2_CID_STC_CNT_RST V4L2_CID_PRIVATE_BASE+21
#define V4L2_CID_STC_RO V4L2_CID_PRIVATE_BASE+22
#define V4L2_CID_STC_SUB_TRG V4L2_CID_PRIVATE_BASE+23
#define V4L2_CID_STC_EXP_MODE V4L2_CID_PRIVATE_BASE+24
#define V4L2_CID_STC_EXP_D1 V4L2_CID_PRIVATE_BASE+25
#define V4L2_CID_STC_EXP_D2 V4L2_CID_PRIVATE_BASE+26
#define V4L2_CID_STC_D_TRG_EXP V4L2_CID_PRIVATE_BASE+27
#define V4L2_CID_STC_D_TRG_ST V4L2_CID_PRIVATE_BASE+28
#define V4L2_CID_STC_D_TRG_END V4L2_CID_PRIVATE_BASE+29
#define V4L2_CID_STC_D_TRG_I_O V4L2_CID_PRIVATE_BASE+30
#define V4L2_CID_STC_CLEAR_STATE V4L2_CID_PRIVATE_BASE+31
#define V4L2_CID_STC_TRIGGER_POLARITY_0 V4L2_CID_PRIVATE_BASE+32
#define V4L2_CID_STC_TRIGGER_POLARITY_1 V4L2_CID_PRIVATE_BASE+33
#define V4L2_CID_STC_TRIGGER_POLARITY_2 V4L2_CID_PRIVATE_BASE+34
#define V4L2_CID_STC_TRIGGER_POLARITY_3 V4L2_CID_PRIVATE_BASE+35
#ifdef SENTECH_AUTO_AWB_CIDS
#define V4L2_CID_STC_AUTO_WHITE_BALANCE V4L2_CID_PRIVATE_BASE+36
#define V4L2_CID_STC_AUTOGAIN V4L2_CID_PRIVATE_BASE+37
#endif
#define V4L2_CID_STC_EXPOSURE_US V4L2_CID_PRIVATE_BASE+38
#define V4L2_CID_STC_GAIN_MIN V4L2_CID_PRIVATE_BASE+40
#define V4L2_CID_STC_GAIN_MAX V4L2_CID_PRIVATE_BASE+41
#define V4L2_CID_STC_EXPOSURE_MIN V4L2_CID_PRIVATE_BASE+42
#define V4L2_CID_STC_EXPOSURE_MAX V4L2_CID_PRIVATE_BASE+43
#define V4L2_CID_STC_GAIN_CTRL_SPEED_LIMIT V4L2_CID_PRIVATE_BASE+44
#define V4L2_CID_STC_SHUTTER_CTRL_SPEED_LIMIT V4L2_CID_PRIVATE_BASE+45
#define V4L2_CID_STC_AVERAGE_FRAME_COUNT V4L2_CID_PRIVATE_BASE+46
#define V4L2_CID_STC_IO_STATUS_0 V4L2_CID_PRIVATE_BASE+47
#define V4L2_CID_STC_IO_STATUS_1 V4L2_CID_PRIVATE_BASE+48
#define V4L2_CID_STC_IO_STATUS_2 V4L2_CID_PRIVATE_BASE+49
#define V4L2_CID_STC_IO_STATUS_3 V4L2_CID_PRIVATE_BASE+50
#define V4L2_CID_STC_PRODUCT V4L2_CID_PRIVATE_BASE+51
#define V4L2_CID_STC_ALC_SPEED V4L2_CID_PRIVATE_BASE+52
#define V4L2_CID_STC_FRAME_START V4L2_CID_PRIVATE_BASE+53
#define V4L2_CID_STC_FRAME_HEIGHT V4L2_CID_PRIVATE_BASE+54
#define V4L2_CID_STC_PIX_SATURATION_AUTO_LUMINANCE V4L2_CID_PRIVATE_BASE+55
#define V4L2_CID_STC_PIX_SATURATION_STEP V4L2_CID_PRIVATE_BASE+56
#define V4L2_CID_STC_PIX_SATURATION_MIN V4L2_CID_PRIVATE_BASE+57
#define V4L2_CID_STC_PIX_SATURATION_ACC V4L2_CID_PRIVATE_BASE+58
#define V4L2_CID_STC_PIX_SATURATION_UP_LIMIT V4L2_CID_PRIVATE_BASE+59
#define V4L2_CID_STC_PIX_SATURATION_EXP_INC V4L2_CID_PRIVATE_BASE+60
#define V4L2_CID_STC_PIX_SATURATION_GAIN_INC V4L2_CID_PRIVATE_BASE+61
#define V4L2_CID_STC_PIX_SATURATION_LO_LIMIT V4L2_CID_PRIVATE_BASE+62
#define V4L2_CID_STC_PIX_SATURATION_AMORTIZ V4L2_CID_PRIVATE_BASE+63
#define V4L2_CID_STC_PIX_SATURATION_AMORTIZ_LENGTH V4L2_CID_PRIVATE_BASE+64
#define V4L2_CID_STC_PIX_SATURATION_MAX V4L2_CID_PRIVATE_BASE+65
#define V4L2_CID_STC_PIX_SATURATION_SKIP V4L2_CID_PRIVATE_BASE+66
#define V4L2_CID_STC_BYTES V4L2_CID_PRIVATE_BASE+67
#define V4L2_CID_STC_NATIVE_MODES V4L2_CID_PRIVATE_BASE+68
#define V4L2_CID_STC_LONG_EXPOSURE V4L2_CID_PRIVATE_BASE+69
#define V4L2_CID_STC_AUTOSHUTTERS V4L2_CID_PRIVATE_BASE+70
#define V4L2_CID_STC_OUTPUT_FRAME_RATE V4L2_CID_PRIVATE_BASE+71
#define V4L2_CID_STC_PIXEL_BLEMISH_CORRECTION V4L2_CID_PRIVATE_BASE+72
#define V4L2_CID_STC_HORIZONTAL_SIZE_CAPTURE V4L2_CID_PRIVATE_BASE+73
#define V4L2_CID_STC_VERTICAL_SIZE_CAPTURE V4L2_CID_PRIVATE_BASE+74
#define V4L2_CID_STC_HORIZONTAL_OFFSET_CAPTURE V4L2_CID_PRIVATE_BASE+75
#define V4L2_CID_STC_VERTICAL_OFFSET_CAPTURE V4L2_CID_PRIVATE_BASE+76
#define V4L2_CID_STC_VERTICAL_SCAN V4L2_CID_PRIVATE_BASE+77
#define V4L2_CID_STC_SELECTED_FOURCC V4L2_CID_PRIVATE_BASE+78
#define STC_PRODUCT_TYPE 0
#define STC_PRODUCT_PORT 1
#define STC_PRODUCT_SERIAL 2
#define STC_PRODUCT_NAME 3
#define STC_PRODUCT_MANUFACTURER 4
#define STC_PRODUCT_ID 5
#define IO_O_HIZ       0
#define IO_O_CT        1
#define IO_O_TRIG      2
#define IO_O_TRIG_T    3
#define IO_O_EXP_END   4
#define IO_O_TRAN_END  5
#define IO_O_STROBE    6
#define IO_O_EXP       7
#define IO_O_TRIG_V    8
#define IO_I_IGN       9
#define IO_I_CT       10
#define IO_I_TRIG     11
#define IO_I_READ_OUT 12
#define IO_I_SUB_TRIG 13
#define STC_TRIGGER_SOURCE_IGNORE   0
#define STC_TRIGGER_SOURCE_SOFTWARE 1
#define STC_TRIGGER_SOURCE_HARDWARE 2
#define STC_TRIGGER_MODE_NORMAL   0
#define STC_TRIGGER_MODE_TRIGGER  1
#define STC_TRIGGER_MODE_READOUT  2
#define STC_CTL_FULL_SCREEN 2
#define STC_CTL_HALF_SCREEN 1
#define STC_CTL_QUART_SCREEN 0
#define STC_CTL_WHOLE_SCREEN 3
#define STC_CTL_VARIABLE_SCREEN 4
#define STC_CTL_FULL_BIN_SCREEN 5
#define STC_CTL_WHOLE_BIN_SCREEN  6
#define STC_CTL_HALF_BIN_SCREEN  7
#define STC_CTL_QUART_BIN_SCREEN  8
#define STC_CTL_VARIABLE_BIN_SCREEN  9
#define STC_FPS_SLOW   0
#define STC_FPS_MEDIUM 1
#define STC_FPS_FAST   2
#define STC_AUTOGAIN_OFF  0
#define STC_AUTOGAIN_ON   1
#define STC_AUTO_WB_OFF  0
#define STC_AUTO_WB_ON   1
#define STC_MAX_ID_NAME 0x00FA 
#define STC_PRODUCT_INFO_LEN 0x0100
#define STC_USER_DATA_LENGTH 0x0400
#pragma pack(push,1)
 struct camera_id {
   char product_info[STC_PRODUCT_INFO_LEN];
   __u32 camera_ID;
   __u8 type; 
   __u8 length;
   char name[STC_MAX_ID_NAME];
   __u8 user_data[STC_USER_DATA_LENGTH];
 };
#pragma pack(pop)
#pragma pack(push,1)
 struct sentech_fpga2 {
   __u32 category_offset; 
   __u32 inside_category_offset;
   __u32 data;
   int direct; 
   int filled; 
   int status; 
 };
#pragma pack(pop)
#define CATEGORY_OFFSET_ANALOG_CTL        0x000010
#define CATEGORY_OFFSET_VENDOR_UNIQ_CTRL  0x000048
#define CATEGORY_OFFSET_USB_ORIG_SAVE     0x000050
#define CATEGORY_OFFSET_CAMERA_STATUS     0x000058
#define CATEGORY_OFFSET_CAMERA_FEATURE    0x00005C
#define CATEGORY_OFFSET_HDR_CONTROL       0x000070
#define CATEGORY_OFFSET_PRESENCE_FLAG_MASK 0x01000000
#define CATEGORY_OFFSET_PRESENCE_MASK      0x00ffffff
#define OFFSET_ANALOG_CONTROL_ANALOG_OFFSET				0x0008
#define OFFSET_VENDOR_UNIQUE_CONTROL_DIGITAL_GAIN_ENABLED       	0x000C
#define OFFSET_USB_ORIGINAL_FUNCTION_SAVE_IO_RESET_SWITCH_ENABLED	0x0018
#define OFFSET_USB_CAMERA_STATUS_FPS_DECIMAL				0x0014
#define OFFSET_USB_CAMERA_STATUS_FPS_INTEGER				0x0018
#define OFFSET_USB_CAMERA_STATUS_MAX_V_BLANKING_FOR_FPS			0x0058
#define OFFSET_USB_CAMERA_STATUS_CAMERA_TEMPERATURE			0x005C
#define OFFSET_USB_CAMERA_STATUS_MAX_ANALOG_BLACK_LEVEL			0x0070
#define OFFSET_USB_CAMERA_STATUS_MAX_DIGITAL_BLACK_LEVEL		0x0074
#define OFFSET_USB_CAMERA_STATUS_MAX_DIGITAL_GAIN			0x0084
#define OFFSET_USB_CAMERA_STATUS_MIN_DIGITAL_GAIN			0x0088
#define OFFSET_USB_CAMERA_FEATURE_CAMERA_FEATURE_3			0x0010
#define OFFSET_USB_CAMERA_FEATURE_CAMERA_FEATURE_5			0x0018
#define OFFSET_USB_CAMERA_FEATURE_CAMERA_FEATURE_9			0x0028
#define OFFSET_HDR_CONTROL_SIZE						0x0000
#define OFFSET_HDR_CONTROL_PARAMETER_0					0x0004
#define OFFSET_HDR_CONTROL_PARAMETER_1					0x0008
#define SENTECH_SETTINGS_SAVING_OPP_READ                                0x01
#define SENTECH_SETTINGS_SAVING_OPP_WRITE                               0x02
#define SENTECH_SETTINGS_SAVING_OPP_RESET                               0x08
#define SENTECH_SETTINGS_SAVING_OBJ_PIX_BC                              0x0400
#define SENTECH_SETTINGS_SAVING_OBJ_CAMERA                              0x0800
#pragma pack(push,1)
 struct sentech_settings {
   __u16 operation; 
   __u16 object; 
 };
#pragma pack(pop)
#define SENTECH_IOC_MAGIC 'Z'
#define SENTECH_IOC_VERSION _IOR(SENTECH_IOC_MAGIC, 0xe0, __s16)
#define SENTECH_IOC_S_ID _IOW(SENTECH_IOC_MAGIC, 0xe1, struct camera_id)
#define SENTECH_IOC_G_ID _IOR(SENTECH_IOC_MAGIC, 0xe2, struct camera_id)
#define SENTECH_IOC_RELEASE _IOR(SENTECH_IOC_MAGIC, 0xe3, __s32)
#define SENTECH_IOC_GET_SCAN_HEIGHT _IOR(SENTECH_IOC_MAGIC, 0xe4, __s16)
#define SENTECH_IOC_S_CATEGORY _IOW(SENTECH_IOC_MAGIC, 0xe5, struct sentech_fpga2)
#define SENTECH_IOC_G_CATEGORY _IOR(SENTECH_IOC_MAGIC, 0xe6, struct sentech_fpga2)
#define SENTECH_IOC_GET_SCAN_WIDTH _IOR(SENTECH_IOC_MAGIC, 0xe7, __s16)
#define SENTECH_IOC_LOAD_OFFSET _IOR(SENTECH_IOC_MAGIC, 0xe8, struct sentech_fpga2)
#define SENTECH_IOC_SAVE_SETTINGS _IOW(SENTECH_IOC_MAGIC, 0xe9, struct sentech_settings)
#define SENTECH_IOC_MAXNR 10
#endif
